Change in ...osmo-ggsn[master]: manuals: Add script to regenerate vty/counter documentation

daniel gerrit-no-reply at lists.osmocom.org
Wed Jun 19 09:34:15 UTC 2019


daniel has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ggsn/+/14517


Change subject: manuals: Add script to regenerate vty/counter documentation
......................................................................

manuals: Add script to regenerate vty/counter documentation

Related: OS#1700
Change-Id: I2f51ff19d2a1d7bcfdf569309a79a6e91a848302
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-ggsn refs/changes/17/14517/1

diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 0c9e2e1..f9f47fb 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -1,6 +1,7 @@
 EXTRA_DIST = osmoggsn-usermanual.adoc \
     osmoggsn-usermanual-docinfo.xml \
     osmoggsn-vty-reference.xml \
+    regen_doc.sh \
     chapters \
     vty
 
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..f213f71
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_GGSN_BRANCH=$COMMIT ./regen_doc.sh osmo-ggsn 4260 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/ggsn_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-ggsn/+/14517
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-ggsn
Gerrit-Branch: master
Gerrit-Change-Id: I2f51ff19d2a1d7bcfdf569309a79a6e91a848302
Gerrit-Change-Number: 14517
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190619/a62f241b/attachment.html>


More information about the gerrit-log mailing list